from setuptools import setup, find_packages

VERSION = '1.2'
DESCRIPTION = 'Yantu tools for python'

setup(
    name="fdfd-test",
    version=VERSION,
    author="yantu-tech",
    author_email="wu466687121@qq.com",
    description=DESCRIPTION,
    long_description_content_type="text/markdown",
    long_description=open('README.md', encoding="UTF8").read(),
    packages=find_packages(),
    include_package_data=True,
    package_data={'fourth_dimension': ['config/config.json', 'config/question_regex.txt', 'cache/faiss_cache/temp.index']},
    install_requires=[
        'aiohttp==3.8.6',
        'aiosignal==1.3.1',
        'annotated-types==0.6.0',
        'anyio==3.7.1',
        'async-timeout==4.0.3',
        'attrs==23.1.0',
        'certifi==2023.7.22',
        'charset-normalizer==3.3.2',
        'colorama==0.4.6',
        'dataclasses-json==0.6.1',
        'docutils==0.20.1',
        'docx==0.2.4',
        'elasticsearch==7.17.7',
        'exceptiongroup==1.1.3',
        'faiss-cpu==1.7.4',
        'fastapi==0.104.1',
        'filelock==3.13.1',
        'frozenlist==1.4.0',
        'fsspec==2023.10.0',
        'fuzzywuzzy==0.18.0',
        'greenlet==3.0.1',
        'huggingface-hub==0.17.3',
        'idna==3.4',
        'importlib-metadata==6.8.0',
        'jaraco.classes==3.3.0',
        'jieba==0.42.1',
        'jsonpatch==1.33',
        'jsonpointer==2.4',
        'keyring==24.2.0',
        'langchain==0.0.330',
        'langsmith==0.0.57',
        'lxml==4.9.3',
        'markdown-it-py==3.0.0',
        'marshmallow==3.20.1',
        'mdurl==0.1.2',
        'more-itertools==10.1.0',
        'multidict==6.0.4',
        'mypy-extensions==1.0.0',
        'nh3==0.2.14',
        'numpy==1.26.1',
        'openai==0.28.1',
        'packaging==23.2',
        'Pillow==10.1.0',
        'pkginfo==1.9.6',
        'pydantic==2.4.2',
        'pydantic_core==2.10.1',
        'Pygments==2.16.1',
        'pywin32-ctypes==0.2.2',
        'PyYAML==6.0.1',
        'readme-renderer==42.0',
        'regex==2023.10.3',
        'requests==2.31.0',
        'requests-toolbelt==1.0.0',
        'rfc3986==2.0.0',
        'rich==13.6.0',
        'safetensors==0.4.0',
        'sniffio==1.3.0',
        'SQLAlchemy==2.0.23',
        'starlette==0.27.0',
        'tenacity==8.2.3',
        'tokenizers==0.14.1',
        'tqdm==4.66.1',
        'transformers==4.35.0',
        'twine==4.0.2',
        'typing-inspect==0.9.0',
        'typing_extensions==4.8.0',
        'urllib3==1.26.18',
        'yarl==1.9.2',
        'zipp==3.17.0'
    ],
    keywords=["python", "yantu", "中文"],
    license="MIT",
    url="https://gitee.com/hustai/Fourth-Dimension",
    classifiers=[
        "Intended Audience :: Developers",
        "Programming Language :: Python :: 3"
    ]
)
